JobsOperations Class
JobsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectJobsOperations
Constructor
JobsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_create |
Creates a new job with the specified parameters. Existing job cannot be updated with this API and should instead be updated with the Update job API. |
| begin_delete |
Deletes a job. |
| begin_update |
Updates the properties of an existing job. |
| book_shipment_pick_up |
Book shipment pick up. |
| cancel |
CancelJob. |
| get |
Gets information about the specified job. |
| list |
Lists all the jobs available under the subscription. |
| list_by_resource_group |
Lists all the jobs available under the given resource group. |
| list_credentials |
This method gets the unencrypted secrets related to the job. |
begin_create
Creates a new job with the specified parameters. Existing job cannot be updated with this API and should instead be updated with the Update job API.
begin_create(resource_group_name: str, job_name: str, job_resource: _models.JobResource, **kwargs: Any) -> LROPoller[_models.JobResource]
Parameters
- job_name
- str
The name of the job Resource within the specified resource group. job names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.
- job_resource
- <xref:azure.mgmt.databox.models.JobResource>
Job details from request body.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either JobResource or the result of cls(response)
Return type
Exceptions
begin_delete
Deletes a job.
begin_delete(resource_group_name: str, job_name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- job_name
- str
The name of the job Resource within the specified resource group. job names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_update
Updates the properties of an existing job.
begin_update(resource_group_name: str, job_name: str, job_resource_update_parameter: _models.JobResourceUpdateParameter, if_match: Optional[str] = None, **kwargs: Any) -> LROPoller[_models.JobResource]
Parameters
- job_name
- str
The name of the job Resource within the specified resource group. job names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.
- job_resource_update_parameter
- <xref:azure.mgmt.databox.models.JobResourceUpdateParameter>
Job update parameters from request body.
- if_match
- str
Defines the If-Match condition. The patch will be performed only if the ETag of the job on the server matches this value.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either JobResource or the result of cls(response)
Return type
Exceptions
book_shipment_pick_up
Book shipment pick up.
book_shipment_pick_up(resource_group_name: str, job_name: str, shipment_pick_up_request: _models.ShipmentPickUpRequest, **kwargs: Any) -> _models.ShipmentPickUpResponse
Parameters
- job_name
- str
The name of the job Resource within the specified resource group. job names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.
- shipment_pick_up_request
- <xref:azure.mgmt.databox.models.ShipmentPickUpRequest>
Details of shipment pick up request.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ShipmentPickUpResponse, or the result of cls(response)
Return type
Exceptions
cancel
CancelJob.
cancel(resource_group_name: str, job_name: str, cancellation_reason: _models.CancellationReason, **kwargs: Any) -> None
Parameters
- job_name
- str
The name of the job Resource within the specified resource group. job names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.
- cancellation_reason
- <xref:azure.mgmt.databox.models.CancellationReason>
Reason for cancellation.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
get
Gets information about the specified job.
get(resource_group_name: str, job_name: str, expand: Optional[str] = None, **kwargs: Any) -> _models.JobResource
Parameters
- job_name
- str
The name of the job Resource within the specified resource group. job names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.
- expand
- str
$expand is supported on details parameter for job, which provides details on the job stages.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
JobResource, or the result of cls(response)
Return type
Exceptions
list
Lists all the jobs available under the subscription.
list(skip_token: Optional[str] = None, **kwargs: Any) -> Iterable[_models.JobResourceList]
Parameters
- skip_token
- str
$skipToken is supported on Get list of jobs, which provides the next page in the list of jobs.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either JobResourceList or the result of cls(response)
Return type
Exceptions
list_by_resource_group
Lists all the jobs available under the given resource group.
list_by_resource_group(resource_group_name: str, skip_token: Optional[str] = None, **kwargs: Any) -> Iterable[_models.JobResourceList]
Parameters
- skip_token
- str
$skipToken is supported on Get list of jobs, which provides the next page in the list of jobs.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either JobResourceList or the result of cls(response)
Return type
Exceptions
list_credentials
This method gets the unencrypted secrets related to the job.
list_credentials(resource_group_name: str, job_name: str, **kwargs: Any) -> Iterable[_models.UnencryptedCredentialsList]
Parameters
- job_name
- str
The name of the job Resource within the specified resource group. job names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either UnencryptedCredentialsList or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.databox.v2020_11_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\databox\\v2020_11_01\\models\\__init__.py'>
Feedback
Submit and view feedback for